<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Web management</title>
<link rel="stylesheet" href="styles.css" type="text/css">
<?php include 'codes.php';?>
</head>
<body> 
<?php
$id = mysql_real_escape_string(stripslashes($_REQUEST['id']));
$roomid = mysql_real_escape_string(stripslashes($_REQUEST['roomid']));
$infoid = mysql_real_escape_string(stripslashes($_REQUEST['infoid']));
$name = mysql_real_escape_string(stripslashes($_REQUEST['name']));
$priority = mysql_real_escape_string(stripslashes($_REQUEST['priority']));		  

$sql1 = "SELECT * FROM photos ORDER BY id";
$result1 = mysql_query($sql1);
while ($myrow=mysql_fetch_array($result1)) {
$pid=$myrow['id'];
}?>
<?php if ($pid=='') { 
$priorityid=10;
}
else {
$priorityid=($pid + 1) * 10;
}?>	
<?php if ($roomid=='') { 
$roomid=0;
}?>	
<?php if ($infoid=='') { 
$infoid=0;
}?>		

<?php 
if  (isset($_POST['submit'])) {
			
			$sql = "INSERT INTO photos (room_id, info_id, name, priority) VALUES ('$roomid', '$infoid', '$name', '$priorityid')";
			$result = mysql_query($sql);
?>

 <?php
            $result10 = mysql_query("SELECT * FROM photos ORDER BY id desc LIMIT 1",$dbh);
			$myrow=mysql_fetch_array($result10); 
			$uploadid=$myrow['id'];
			
?>

                    <?php 
        $uploaddir = '../photos/'; 
		$filetype = '.jpg'; 
		$uploadname = $uploadid . $filetype; 
		

        if (isset($_POST['submit'])){ 
        if( $_FILES['upload']['tmp_name'] != "" ){
		
        $dest = $uploaddir . $uploadname; 
        if (copy ( $_FILES['upload']['tmp_name'], $dest )){ 
		
	function createthumb($name,$filename,$new_w,$new_h){
	$system=explode('.',$name);
	if (preg_match('/jpg|jpeg/',$system[3])){
		$src_img=imagecreatefromjpeg($name);
	}
	if (preg_match('/png/',$system[3])){
		$src_img=imagecreatefrompng($name);
	}
	
$old_x=imageSX($src_img);
$old_y=imageSY($src_img);
if ($old_x > $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
}
if ($old_x < $old_y) {
	//$thumb_w=$old_x*($new_w/$old_y);
	//$thumb_h=$new_h;
	
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
	
}
if ($old_x == $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$new_h;
}
$dst_img=ImageCreateTrueColor($thumb_w,$thumb_h);
imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y); 

	
if (preg_match("/png/",$system[3]))
{
	imagepng($dst_img,$filename); 
} else {
	imagejpeg($dst_img,$filename); 
}
imagedestroy($dst_img); 
imagedestroy($src_img); 
}

			createthumb('../photos/'.$uploadid.'.jpg','../photos/thumbs/'.$uploadid.'.jpg',150,150);
                } 
    
     else{ 
            } }
?>
<?php } ?>    

<meta http-equiv="refresh" content="0;URL=new-photo.php?roomid=<?php echo $roomid ?>&infoid=<?php echo $infoid ?>">
<?php			
}
else  {
?>

<table width="980" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><div><img src="img/frame-add.png" width="180" height="37" alt=""></div>
<div class="frame">
<form name="forma" method="post" action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" enctype="multipart/form-data">
  <input type="hidden" name="roomid" value="<?php echo $roomid ?>">
  <input type="hidden" name="infoid" value="<?php echo $infoid ?>">
<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
      <td width="20">&nbsp;</td> 
      <td width="200">Τίτλος 
        </td>
      <td> 
        <input type="text" name="name" size="100" class="forms">
        </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Εικόνα</td>
      <td><input type="hidden" name="max_file_size" value="600000">
        <input name="upload" type="file" size="50" class="forms"></td>
    </tr>
  </table>

  <div align="center" style="padding:5px">
   <input type="submit" name="submit" value="Καταχώρηση" class="button">
        <input type="reset" name="reset" value="Επαναφορά" class="button">  </div>
</form>  
</div>
<div align="right">
  <?php if ($roomid!='0') { ?>
  <a href="all-photos.php?roomid=<?php echo $roomid ?>" class="links">μεταφορά στην Λίστα</a>
  <?php } ?>
  <?php if ($infoid!='0') { ?>
  <a href="all-photos.php?infoid=<?php echo $infoid ?>" class="links">μεταφορά στην Λίστα</a>
  <?php } ?>
  <?php if ($roomid=='0' AND $infoid=='0') { ?>
  <a href="all-photos.php" class="links">μεταφορά στην Λίστα</a>
  <?php } ?>
</div></td>
  </tr>
</table><?php include 'menudown.php';?>
<?php } ?>
</body>
</html>
